Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Provides js-signals for use with Rails 3
Ruby
tree: 186aa8625e

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
lib
spec
vendor/assets/javascripts
.gitignore
.rspec
.travis.yml
Gemfile
LICENSE
README.md
Rakefile
jssignals-rails.gemspec

README.md

js-signals for Rails Build StatusDependency Status

Provides js-signals (0.8.1) for use with Rails 3

RubyGems | Ruby Toolbox | GitHub | Travis CI | Gemnasium | RubyDoc

Installation

Rails 3.1+

To use js-signals with your Rails 3.1+ application, add the following to your Gemfile

gem "jssignals-rails"

Run bundle install and js-signals will be available for you to use via the asset pipeline. Add the following line into your app/assets/javascripts/application.js file...

//= require signals

...or for the minified version in development

//= require signals.min

js-signals is now installed. Woop!

Rails 3.0

To use js-signals with your Rails 3.0 application, add the following to your Gemfile

gem "jssignals-rails"

Run bundle install followed by the install generator

rails generate jssignals:install

js-signals is now installed. Woop!

js-signals Resources

Project Page | GitHub

Something went wrong with that request. Please try again.